<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ytpm.dao.AppLoginRecordMapper">

    <select id="getByUserIds" resultType="com.ytpm.app.model.YtAppUserLoginRecord">
        select
            record_id, user_id, app_id, login_time, phone_brand, phone_model, login_ip, communication_operator, ip_addr
        from yt_app_user_login_record
        where user_id in
        <foreach collection="userIdList" separator="," index="index" item="item" open="(" close=")">
            #{item}
        </foreach>
    </select>
</mapper>